/* Reviews screen ================ */

.reviews {
  padding-top: var(--section-padding);
  padding-bottom: var(--section-padding);
}

.reviews__title {
  padding-left: 15px;
  padding-right: 15px;
}

.js-youtube-carousel {

  @media (--tablet-small-max) {

    .slick-next,
    .slick-prev {
      display: none;
    }
  }

  .slick-prev {
    left: calc((100vw / 2) - 490px);
    background-image: url("data:image/svg+xml;charset=utf8, %3Csvg version='1.1' id='Слой_1' xmlns='http://www.w3.org/2000/svg' x='0' y='0' viewBox='0 0 56.4 56.4' xml:space='preserve'%3E%3Cstyle%3E.st0{fill:%23f0a5a9}%3C/style%3E%3Cpath class='st0' d='M28.2 56.4c15.5 0 28.2-12.6 28.2-28.2S43.8 0 28.2 0 0 12.6 0 28.2c0 15.5 12.6 28.2 28.2 28.2zm0-52.5c13.4 0 24.2 10.9 24.2 24.2S41.5 52.4 28.2 52.4 3.9 41.5 3.9 28.2 14.8 3.9 28.2 3.9z'/%3E%3Cpath class='st0' d='M18 29.4c-.4-.4-.6-.8-.6-1.4s.2-1 .6-1.4l12.8-12.9c.8-.8 2.1-.8 2.8 0 .8.8.8 2.1 0 2.8L22.2 28l11.5 11.5c.8.8.8 2.1 0 2.8-.4.4-.9.6-1.4.6-.5 0-1-.2-1.4-.6L18 29.4z'/%3E%3C/svg%3E");

    @media screen and (min-width: 2500px) {
      left: calc((100vw - 970px) / 2);
    }

    @media (--laptop-max) {
      left: calc((100vw / 2) - 400px);
    }

    @media (--laptop-small-max) {
      left: calc((100vw / 2) - 275px);
    }

    @media (--laptop-small-max) {
      left: calc((100vw / 2) - 270px);
    }
  }

  .slick-next {
    right: calc((100vw / 2) - 490px);
    background-image: url("data:image/svg+xml;charset=utf8, %3Csvg version='1.1' id='Слой_1' xmlns='http://www.w3.org/2000/svg' x='0' y='0' viewBox='0 0 56.4 56.4' xml:space='preserve'%3E%3Cstyle%3E.st0{fill:%23f0a5a9}%3C/style%3E%3Cpath class='st0' d='M28.2 56.4c15.5 0 28.2-12.7 28.2-28.2S43.8 0 28.2 0 0 12.6 0 28.2s12.7 28.2 28.2 28.2zm0-52.5c13.4 0 24.2 10.9 24.2 24.2S41.6 52.4 28.2 52.4 4 41.5 4 28.2 14.9 3.9 28.2 3.9z'/%3E%3Cpath class='st0' d='M38.4 29.4c.4-.4.6-.8.6-1.4s-.2-1-.6-1.4L25.6 13.8c-.8-.8-2.1-.8-2.8 0-.8.8-.8 2.1 0 2.8L34.2 28 22.7 39.5c-.8.8-.8 2.1 0 2.8.4.4.9.6 1.4.6.5 0 1-.2 1.4-.6l12.9-12.9z'/%3E%3C/svg%3E");

    @media screen and (min-width: 2500px) {
      right: calc((100vw - 970px) / 2);
    }

    @media (--laptop-max) {
      right: calc((100vw / 2) - 400px);
    }

    @media (--laptop-small-max) {
      right: calc((100vw / 2) - 270px);
    }
  }

  .slick-slide {
    transition: var(--transition-type) var(--transition-time);
    opacity: .5;
  }

  .slick-current {
    opacity: 1;
  }
}

.js-youtube-carousel__item {
  padding-left: 70px;
  padding-right: 70px;

  @media (--laptop-small-max) {
    padding-left: 30px;
    padding-right: 30px;
  }
}

.youtube-list__video {
  width: 768px;
  position: relative;
  border-radius: 10px;
  overflow: hidden;

  img {
    width: 100%;
  }

  @media (--laptop-max) {
    width: 600px;
  }

  @media (--laptop-small-max) {
    width: 420px;
  }

  @media (--tablet-small-max) {
    width: 280px;
  }
}

.youtube-list__button {
  width: 90px;
  height: 64px;
  padding: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  border: 0;
  background: none;
  color: var(--color-primary);
  transform: translate(-50%, -50%);
  transition: var(--transition-time) var(--transition-type);
  cursor: pointer;
  z-index: 2;

  &:focus {
    outline: none;
  }

  &:hover {
    transform: translate(-50%, -50%) scale(1.3);
  }

  .icon {
    display: block;
    width: 100%;
    height: 100%;
  }

  @media (--laptop-max) {
    width: 70px;
    height: 44px;
  }
}
/* ================ end reviews screen */
